Status: Closed Priority: Should have
Author: Chr is Category:
Created: 2013-12-28 Assigned To:
Subject: ExtDirect error: Uncaught exception #1210858767 when entering Neos backend after Update
Description

After updating to development master:

user@machine:~/path/to/TYPO3-Neos$ ~/composer/composer.phar update
Loading composer repositories with package information
Updating dependencies (including require-dev)
Generating autoload files

and force-flushing the cache:

user@machine:~/path/to/TYPO3-Neos$ ./flow flow:cache:flush --force
PHP:  syntax error, unexpected '=' in Unknown on line 7
Force-flushed caches for "Development" context.

While entering Neos backend as administrator I get:

ExtDirect error: Uncaught exception #1210858767 (ref 20131228182225447a19) - Invalid argument name (must be a
non-empty string).

History
#1 - 2013-12-28 18:35 - Chr is
- File NeosExtDirectErrorUncaughtException1210858767.png added

-> Screenshot attached.

#2 - 2013-12-28 19:00 - Chr is

I did not delete temporary files like this before- should this command be issued after updating?

rm -rf /path/to/TYPO3-Neos/Data/Temporary/*

#3 - 2013-12-28 19:03 - Chr is

Tested: Deleting the temporary folder's contents does not prevent the occurence of the mentioned error message.
#4 - 2013-12-28 19:05 - Chr is

After closing the error message in Neos backend with (x)
and clicking the Site's titel in Navigate viewport I get another error message in an orange box from backend:

Could not read page metadata from response. Please open the location http://example.org/@user-ADMINUSERNAME outside the Neos
backend.

#5 - 2014-03-18 16:47 - Christian Fries

Same issue here with Typo3 Neos 1.0.2.
After clearing the cache for the production context, this error occurs.
First login -> the first error message pops up -> reload -> no error -> click on a page -> the second error message described by Chr pops up.
Each error message pops up once, then (after reloading the page twice) it works.

#6 - 2014-10-04 11:57 - Jonas Renggli
- Status changed from New to Closed

Thanks for your bug report. And thank you for testing the development version of Neos. Although we test a lot there's always the chance that
something is broken (especially in the development version)
I tried to reproduce your scenario in Neos 1.1.2. But the behavior is as expected.
Please try to update to Neos 1.1.2 and check it there. If there is still an issue just create a new ticket on https://jira.typo3.org/
If you're working on the master branch, please mention the Git hashes so we know which version you're actually using.
